package com.kym.admin;

import cn.hutool.crypto.SecureUtil;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;


@EnableAsync
@Controller
@EnableScheduling
@SpringBootApplication
@ComponentScan(value = "com.kym")
@MapperScan(basePackages = {"com.kym.mapper"})
public class AdminApplication {

    public static void main(String[] args) {
        SpringApplication.run(AdminApplication.class, args);
        SecureUtil.disableBouncyCastle();
    }


    @RequestMapping("/")
    public String index() {
        return "redirect:/index.html";
    }

}
